CFD Online URL
[Sponsors]
Home > Forums > OpenFOAM Native Meshers: blockMesh

blockMesh convert error with foamToEnsight

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   July 8, 2009, 06:34
Default blockMesh convert error with foamToEnsight
  #1
New Member
 
Arun
Join Date: Mar 2009
Posts: 25
Rep Power: 7
arun is on a distinguished road
Hi All,

I am using OpenFOAM-1.4.1-dev_07_11_14, and created mesh using block mesh of diesel engine cylinder. Then i tried to convert it to ensight format using foamToEnsight and i receive this error:

--> FOAM FATAL ERROR : Cannot move points: size of given point list smaller than the number of active points

From function primitiveMesh::movePoints(const pointField& newPoints, const pointField& oldPoints)
in file meshes/primitiveMesh/primitiveMesh.C at line 251.

FOAM aborting
-------------------------------------------------------------------------------------------------------------------------
Then found this post " http://www.cfd-online.com/Forums/openfoam-bugs/62467-cannot-refinemesh-usehextopology-true-ver141.html" where mattijs suggest to replace 1.4.1 dynamicMesh/meshCut/meshModifiers/multiDirRefinemen/multiDirRefinement.C with attached versio. I did as suggested and during compilation i receive this error:

meshCut/meshModifiers/multiDirRefinement/multiDirRefinement.C:351: error: ‘class Foam:olyTopoChange’ has no member named ‘changeMesh’
make: *** [Make/linuxGccDPDebug/multiDirRefinement.o] Error 1
make: *** Waiting for unfinished jobs....

Anyone got any suggestion to solve this?
Thanks in advance.

Regards
Arun
arun is offline   Reply With Quote

Old   July 9, 2009, 03:42
Default
  #2
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: http://olesenm.github.io/
Posts: 777
Rep Power: 17
olesen will become famous soon enough
Quote:
Originally Posted by arun View Post
I am using OpenFOAM-1.4.1-dev_07_11_14, and ...

Anyone got any suggestion to solve this?
Did you check if the same error occurs with the OpenFOAM-1.5.x version?
There's not much point in trying to track an error from a previous release that is already 1-1/2 years old.
olesen is offline   Reply With Quote

Old   July 9, 2009, 05:13
Default
  #3
New Member
 
Arun
Join Date: Mar 2009
Posts: 25
Rep Power: 7
arun is on a distinguished road
Hi Olesen,

Thanks for your reply and i have not tried this with OpenFOAM-1.5.x version. This is because, the version i am using currently has been modified with codes that suitable for OpenFOAM-1.4.1-dev_07_11_14 version. I tried to modify the OpenFOAM-1.5.x to what i have now but too many other errors.

I am not very good with C++ and new to FOAM, so i discarded the idea of shifting to OpenFOAM-1.5.x and stick to OpenFOAM-1.4.1-dev_07_11_14 version where i only have the errors that i mentioned in my previous post.

Therefore i have no choice but to use OpenFOAM-1.4.1-dev_07_11_14 version.
Hope anyone can help solve this.

Thanks in advance.

Arun
arun is offline   Reply With Quote

Reply

Tags
blockmesh, cannot move points, foamtoensight, multidirrefinement

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Installation/Tutorial - libraries not found (blockMesh) bernarde OpenFOAM 3 June 19, 2009 13:36
IcoFoam Not Installed and blockMesh command not found cesarbz OpenFOAM Installation 6 July 4, 2008 05:44
Blockmesh cavity error message tonitoney OpenFOAM Installation 2 March 17, 2008 13:59
Is Playstation 3 cluster suitable for CFD work hsieh OpenFOAM 8 March 12, 2008 06:58


All times are GMT -4. The time now is 08:00.